hpp-fcl: boost::serialization::internal::BVSplitterAccessor< BV > Struct Template Reference

hpp-fcl 1.7.5 HPP fork of FCL -- The Flexible Collision Library

Public Types | Public Attributes | List of all members
boost::serialization::internal::BVSplitterAccessor< BV > Struct Template Reference

`#include <hpp/fcl/serialization/BV_splitter.h>`

Inheritance diagram for boost::serialization::internal::BVSplitterAccessor< BV >:

## Public Types
typedef hpp::fcl::BVSplitter< BV > | Base

## Public Attributes
int | split_axis
| The axis based on which the split decision is made. For most BV, the axis is aligned with one of the world coordinate, so only split_axis is needed. For oriented node, we can use a vector to make a better split decision. More...
Vec3f | split_vector
FCL_REAL | split_value
| The split threshold, different primitives are splitted according whether their projection on the split_axis is larger or smaller than the threshold. More...
Vec3f * | vertices
| The mesh vertices or points handled by the splitter. More...
Triangle * | tri_indices
| The triangles handled by the splitter. More...
BVHModelType | type
| Whether the geometry is mesh or point cloud. More...
SplitMethodType | split_method
| The split algorithm used. More...

## Additional Inherited Members
Public Member Functions inherited from hpp::fcl::BVSplitter< BV >
| BVSplitter (SplitMethodType method)
virtual | ~BVSplitter ()
| Default deconstructor. More...
void | set (Vec3f *vertices_, Triangle *tri_indices_, BVHModelType type_)
| Set the geometry data needed by the split rule. More...
void | computeRule (const BV &bv, unsigned int *primitive_indices, int num_primitives)
| Compute the split rule according to a subset of geometry and the corresponding BV node. More...
bool | apply (const Vec3f &q) const
| Apply the split rule on a given point. More...
void | clear ()
| Clear the geometry data set before. More...
bool | apply (const Vec3f &q) const
bool | apply (const Vec3f &q) const
bool | apply (const Vec3f &q) const
bool | apply (const Vec3f &q) const
Protected Member Functions inherited from hpp::fcl::BVSplitter< BV >
void | computeRule_bvcenter (const BV &bv, unsigned int *, int)
| Split algorithm 1: Split the node from center. More...
void | computeRule_mean (const BV &bv, unsigned int *primitive_indices, int num_primitives)
| Split algorithm 2: Split the node according to the mean of the data contained. More...
void | computeRule_median (const BV &bv, unsigned int *primitive_indices, int num_primitives)
| Split algorithm 3: Split the node according to the median of the data contained. More...
void | computeRule_bvcenter (const OBB &bv, unsigned int *primitive_indices, int num_primitives)
void | computeRule_mean (const OBB &bv, unsigned int *primitive_indices, int num_primitives)
void | computeRule_median (const OBB &bv, unsigned int *primitive_indices, int num_primitives)
void | computeRule_bvcenter (const RSS &bv, unsigned int *primitive_indices, int num_primitives)
void | computeRule_mean (const RSS &bv, unsigned int *primitive_indices, int num_primitives)
void | computeRule_median (const RSS &bv, unsigned int *primitive_indices, int num_primitives)
void | computeRule_bvcenter (const kIOS &bv, unsigned int *primitive_indices, int num_primitives)
void | computeRule_mean (const kIOS &bv, unsigned int *primitive_indices, int num_primitives)
void | computeRule_median (const kIOS &bv, unsigned int *primitive_indices, int num_primitives)
void | computeRule_bvcenter (const OBBRSS &bv, unsigned int *primitive_indices, int num_primitives)
void | computeRule_mean (const OBBRSS &bv, unsigned int *primitive_indices, int num_primitives)
void | computeRule_median (const OBBRSS &bv, unsigned int *primitive_indices, int num_primitives)
Protected Attributes inherited from hpp::fcl::BVSplitter< BV >
int | split_axis
| The axis based on which the split decision is made. For most BV, the axis is aligned with one of the world coordinate, so only split_axis is needed. For oriented node, we can use a vector to make a better split decision. More...
Vec3f | split_vector
FCL_REAL | split_value
| The split threshold, different primitives are splitted according whether their projection on the split_axis is larger or smaller than the threshold. More...
Vec3f * | vertices
| The mesh vertices or points handled by the splitter. More...
Triangle * | tri_indices
| The triangles handled by the splitter. More...
BVHModelType | type
| Whether the geometry is mesh or point cloud. More...
SplitMethodType | split_method
| The split algorithm used. More...

## Member Typedef Documentation

## ◆ Base

template<typename BV >

typedef hpp::fcl::BVSplitter<BV> boost::serialization::internal::BVSplitterAccessor< BV >::Base

## Member Data Documentation

## ◆ split_axis

template<typename BV >

int hpp::fcl::BVSplitter< BV >::split_axis

The axis based on which the split decision is made. For most BV, the axis is aligned with one of the world coordinate, so only split_axis is needed. For oriented node, we can use a vector to make a better split decision.

## ◆ split_method

template<typename BV >

SplitMethodType hpp::fcl::BVSplitter< BV >::split_method

The split algorithm used.

## ◆ split_value

template<typename BV >

FCL_REAL hpp::fcl::BVSplitter< BV >::split_value

The split threshold, different primitives are splitted according whether their projection on the split_axis is larger or smaller than the threshold.

## ◆ split_vector

template<typename BV >

Vec3f hpp::fcl::BVSplitter< BV >::split_vector

## ◆ tri_indices

template<typename BV >

Triangle* hpp::fcl::BVSplitter< BV >::tri_indices

The triangles handled by the splitter.

## ◆ type

template<typename BV >

BVHModelType hpp::fcl::BVSplitter< BV >::type

Whether the geometry is mesh or point cloud.

## ◆ vertices

template<typename BV >

Vec3f* hpp::fcl::BVSplitter< BV >::vertices

The mesh vertices or points handled by the splitter.

The documentation for this struct was generated from the following file:

- include/hpp/fcl/serialization/BV_splitter.h